Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms.xa
Class SessionInvocationHandler

    java.lang.Object
      org.mule.transport.jms.xa.SessionInvocationHandler

All Implemented Interfaces:
  InvocationHandler, TargetInvocationHandler

    public class SessionInvocationHandler

extends Object
implements TargetInvocationHandler

Field Summary
`protected static Log` | `logger`

Constructor Summary
`SessionInvocationHandler(XAQueueSession xaSession, Boolean sameRMOverrideValue)`
`SessionInvocationHandler(XASession xaSession, Boolean sameRMOverrideValue)`
`SessionInvocationHandler(XATopicSession xaSession, Boolean sameRMOverrideValue)`

Method Summary
`boolean` | `delist()`
`boolean` | `enlist()`
`Object` | `getTargetObject()`
`XAResource` | `getXAResource()`
`Object` | `invoke(Object proxy, Method method, Object[] args)`
`boolean` | `isEnlisted()`
`void` | `setEnlisted(boolean enlisted)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final transient Log logger

Constructor Detail

### SessionInvocationHandler

    public SessionInvocationHandler(XASession xaSession,
                                    Boolean sameRMOverrideValue)
                             throws JMSException

Throws:
  `JMSException`

### SessionInvocationHandler

    public SessionInvocationHandler(XAQueueSession xaSession,
                                    Boolean sameRMOverrideValue)
                             throws JMSException

Throws:
  `JMSException`

### SessionInvocationHandler

    public SessionInvocationHandler(XATopicSession xaSession,
                                    Boolean sameRMOverrideValue)
                             throws JMSException

Throws:
  `JMSException`

Method Detail

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`

### enlist

    public boolean enlist()
                   throws Exception

  Throws:
    `Exception`

### delist

    public boolean delist()
                   throws Exception

  Throws:
    `Exception`

### isEnlisted

    public boolean isEnlisted()

### setEnlisted

    public void setEnlisted(boolean enlisted)

### getTargetObject

    public Object getTargetObject()

  Specified by:
    `getTargetObject` in interface `TargetInvocationHandler`

### getXAResource

    public XAResource getXAResource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.